
Figure - Bug #117837
【IOVDEV-25480】【内部】【VC1】【0094】【台架】【EE环境】【副屏】静态老化测试蓝牙长时间连接，
自动断开
2023-05-09 15:30 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-09

Priority: High Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0094.c103

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230503 20：00 — 20230504  08:40

【前提条件】：副屏上电

【操作步骤】

1.连接游戏手柄蓝牙设备

2.连接时长超过12h

【实际结果】

1.蓝牙自动断开

【期望结果】

1.长时间连接稳定不会自动断开

【备注】：

【影响版本】：01.00.0094.c103

【硬件版本号】：

History

#1 - 2023-05-09 15:30 - CDTS_Test 吴诗雨

SC:2131-522-000

PN:BD3NH-A00

型号：BTP-BD3NH

北通手游P1游戏手柄-蓝牙版

#2 - 2023-05-09 15:52 - CD FW-廖涛

- Category changed from CD-FW to LC

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-廖涛 to CD LC 陶洪普

哈喽，洪普：

麻烦看下蓝牙连接的这个问题。
#3 - 2023-05-09 15:58 - CDTS_Test 吴诗雨

连接时长超过12H断开，由于长时间测试发生，没有视频

#4 - 2023-05-10 10:33 - CD LC 陶洪普

- Status changed from ASSIGNED to NEED_INFO

logcat_0504.log 日志记录

开始时间：03-29 03:40:59

结束时间：04-02 12:14:56

在这个过程中对手柄设备 'BETOP BD3NH BFM' MAC 80:e4:da:19:15:07

有一次连接　发生在04-02 12:09

－－－－－－－－－－－－－

04-02 12:09:06.862  1988  2983 V bt_stack: [VERBOSE1:gatt_main.cc(617)] GATT   ATT protocol channel with BDA: 80:e4:da:19:15:07 is connected

04-02 12:09:06.862  1988  2983 V bt_stack: [VERBOSE1:gatt_utils.cc(376)] gatt_is_bda_in_the_srv_chg_clt_list: 80:e4:da:19:15:07

．．．

04-02 12:09:07.168  1531  1794 I EventHub: New device: id=7, fd=322, path='/dev/input/event4', name='BETOP BD3NH BFM', classes=KEYBOARD | GAMEPAD |

JOYSTICK | EXTERNAL, configuration='', keyLayout='/system/usr/keylayout/Generic.kl', keyCharacterMap='/system/usr/keychars/Generic.kcm',

builtinKeyboard=false, 

04-02 12:09:07.168  1531  1794 I InputReader: Device added: id=7, eventHubId=7, name='BETOP BD3NH BFM',

descriptor='fcec3db56800a033bca7c657f9b6bc79876c7b1d',sources=0x01000511

在这个时间内，未看到断开，与问题描述＂连接后经过长时间断开＂（日志记录最后时间04-02 12:14，日志中又一次连接在04-02 12:09，在这之前

无bt_stack关键字日志）

#5 - 2023-05-10 10:35 - CD LC 陶洪普

- Assignee changed from CD LC 陶洪普 to CDTS_Test 吴诗雨

Hi,

请确认上一条comment分析．

【问题出现时间】：20230503 20：00 — 20230504 08:40

日志中时间与上面时间不符，请同步更新设备时间，方便查看．

1.长时间连接稳定不会自动断开

从日志描述看，该手柄支持BLE，连接后如果一段时间无操作，是已配对状态．

对＂不会自动断开＂这个预期结果的原因是？

在一段时间无操作后，查看状态是断开，操作手柄是否可自动快速重连？　请帮忙确认．（如果可以，对BLE，认为是正常结果，请确认）

#6 - 2023-05-12 14:19 - CDTS_TEST 王成
已让客户做再次验证

#7 - 2023-05-15 16:49 - CDTS_TEST 王成

客户反馈：

1、蓝牙手柄电量充足

2、蓝牙手柄长时间静置无操作后自动断开连接

3、连接后一段时间无操作自动断开连接，操作手柄不能自动快速重连

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117837/051205.tar.zip

#8 - 2023-05-15 16:49 - CDTS_TEST 王成

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_Test 吴诗雨 to CD LC 陶洪普

#9 - 2023-05-16 00:15 - CD LC 陶洪普

操作手柄不能自动快速重连

该场景下,是手柄发起连接,检查日志中是否有再次连接的信息中.

#10 - 2023-05-16 22:18 - CDTS-TEST 周婷

- Severity changed from Normal to Major

客户B类，提高优先级

#11 - 2023-05-17 09:55 - CD LC 陶洪普

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117837/051205.tar.zip

日志中记录的时间

Start: 23-05-12 14:11:25

End:   23-05-12 15:17:31

１个小时多点

在这个期间，有三次设备的Add 和　remove.

14:34:06(Added) 14:51:14(Removed)

14:54:14(Added) 15:05:07(Removed)

15:07:03(Added) 15:17:04(Removed)

--------------

000064_manual_00020_230512_143403.log:05-12 14:34:06.526  1512  1756 I InputReader: Device added: id=7, eventHubId=7, name='BETOP BD3NH BFM',

descriptor='fcec3db56800a033bca7c657f9b6bc79876c7b1d',sources=0x01000511

000064_manual_00032_230512_144951.log:05-12 14:51:14.789  1512  1756 I InputReader: Device removed: id=7, eventHubId=7, name='BETOP BD3NH BFM',

descriptor='fcec3db56800a033bca7c657f9b6bc79876c7b1d', sources=0x01000511
000064_manual_00034_230512_145317.log:05-12 14:54:14.616  1512  1756 I InputReader: Device added: id=8, eventHubId=8, name='BETOP BD3NH BFM',

descriptor='fcec3db56800a033bca7c657f9b6bc79876c7b1d',sources=0x01000511

000064_manual_00043_230512_150434.log:05-12 15:05:07.655  1512  1756 I InputReader: Device removed: id=8, eventHubId=8, name='BETOP BD3NH BFM',

descriptor='fcec3db56800a033bca7c657f9b6bc79876c7b1d', sources=0x01000511

000064_manual_00044_230512_150615.log:05-12 15:07:03.484  1512  1756 I InputReader: Device added: id=9, eventHubId=9, name='BETOP BD3NH BFM',

descriptor='fcec3db56800a033bca7c657f9b6bc79876c7b1d',sources=0x01000511

000064_manual_00007_230512_151552.log:05-12 15:17:04.173  1512  1756 I InputReader: Device removed: id=9, eventHubId=9, name='BETOP BD3NH BFM',

descriptor='fcec3db56800a033bca7c657f9b6bc79876c7b1d', sources=0x01000511

3、连接后一段时间无操作自动断开连接，操作手柄不能自动快速重连

对描述＂操作手柄不能自动快速重连＂，　未说明发生时间．

＂连接后一段时间无操作自动断开连接＂　断开时间段是　这三次连接的中间时间吗？

14:34:06(Added)～14:51:14(Removed)

14:54:14(Added)～15:05:07(Removed)

15:07:03(Added)～15:17:04(Removed)

#12 - 2023-05-17 19:28 - CDTS-TEST 周婷

- Priority changed from Normal to High

#13 - 2023-05-18 20:09 - CD LC 陶洪普

更新

今天下午与客户测试在线同步，对于问题发生时间和细节未详细记录。客户测试回复再复现，提供复现时间点和视频。

#14 - 2023-05-18 21:19 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117837/051802.tar.gz  客户今天提供的新日志

#15 - 2023-05-19 16:06 - CD LC 陶洪普

提供复现时间点和视频。

测试未提供复现时间点和视频信息．

#16 - 2023-05-19 16:57 - CDTS_TEST 王成

2023-0518-19:58分连接-20:12分左右断开

#17 - 2023-05-20 02:07 - CD LC 陶洪普

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD LC 陶洪普 to CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117837/051802.tar.gz
zai Comment #5中已说明该链接是GATT，长时间无操作，未省电，会断开。

在之后的更新描述断开后无法连接。从这份日志说明 “19:58分连接-20:12分左右断开”。 

--------------------------

000083_manual_00042_230518_195140.log:05-18 19:52:10.198  1485  1755 I InputReader: Device removed: id=8, eventHubId=8, name='BETOP BD3NH BFM',

descriptor='fcec3db56800a033bca7c657f9b6bc79876c7b1d', sources=0x01000511

000083_manual_00003_230518_195825.log:05-18 19:58:51.296  1485  1755 I InputReader: Device added: id=9, eventHubId=9, name='BETOP BD3NH BFM',

descriptor='fcec3db56800a033bca7c657f9b6bc79876c7b1d',sources=0x01000511

000083_manual_00030_230518_201132.log:05-18 20:12:01.899  1485  1755 I InputReader: Device removed: id=9, eventHubId=9, name='BETOP BD3NH BFM',

descriptor='fcec3db56800a033bca7c657f9b6bc79876c7b1d', sources=0x01000511

--------------------------

从日志看该断开时正常的。

05-18 20:12:01.854  2215  3558 V bt_stack: [VERBOSE1:gatt_main.cc(617)] GATT   ATT protocol channel with BDA: 80:e4:da:19:15:07 is disconnected

05-18 20:12:01.857  2215  3558 V bt_stack: [VERBOSE1:bta_gattc_main.cc(361)] bta_gattc_hdl_event: Event:BTA_GATTC_INT_DISCONN_EVT

05-18 20:12:01.857  2215  3558 V bt_stack: [VERBOSE1:bta_gattc_utils.cc(678)]  disconnection ID:3 not used by BTA

05-18 20:12:01.857  2215  3558 V bt_stack: [VERBOSE1:bta_gattc_main.cc(385)] Ignore unknown conn ID: 3

05-18 20:12:01.857  2215  3558 V bt_stack: [VERBOSE1:bta_gattc_main.cc(361)] bta_gattc_hdl_event: Event:BTA_GATTC_INT_DISCONN_EVT

05-18 20:12:01.857  2215  3558 V bt_stack: [VERBOSE1:bta_gattc_main.cc(305)] bta_gattc_sm_execute: State 0x02 [GATTC_CONN_ST], Event

0x1f10[BTA_GATTC_INT_DISCONN_EVT]

05-18 20:12:01.857   821   821 I vendor.qti.bluetooth@1.0-ibs_handler: DeviceWakeUp: Writing IBS_WAKE_IND

如“【期望结果】1.长时间连接稳定不会自动断开”，如果无操作下，也不允许期望断开，认为不合理，不符合BLE特征。请确认。

从日志中看，是正常现象。请确认，谢谢！

#18 - 2023-05-23 14:21 - CDTS_TEST 王成

客户回复：经复测蓝牙手柄与副屏长时间连接会自动断开不会回连，蓝牙鼠标也会断开，断开之后移动鼠标会自动回连

未标明是否继续跟踪，等待客户更新状态

#19 - 2023-05-30 17:04 - 物联网测试组_TSCD 王维

- Status changed from NEED_INFO to RESOLVED

#20 - 2023-05-30 17:06 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#21 - 2023-05-30 17:06 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

d8ac4647-d0da-4843-a8da-07538cf1ff36.jpg 146 KB 2023-05-09 CDTS_Test 吴诗雨

logcat_0504.log 4.37 MB 2023-05-09 CDTS_Test 吴诗雨
